import Foundation

typealias PlayerStateId = String

enum PlayerState: String {

    case canDouble = "canDouble"
    case didDouble = "doubled"

    case isDisconnected = "offline"

    case mustBid = "bidder"
    case didFold = "fold"
    case didBid = "bid"

    case isGameSelector = "selects"
    case isWeddingOfferer = "wedding"
    case isCalled = "called"

    case didRaise = "raised"
    case leadsGame = "leads"

    case isWinner = "winner"
    case isLooser = "looser"
}
